{
  "name": "PaperclipWallet",
  "version": "1.0.0",
  "description": "Desktop wallet for PaperclipChain with DeFi staking capabilities",
  "main": "main.js",
  "scripts": {
    "start": "electron .",
    "pack-win": "electron-builder --windows --dir",
    "dist-win": "electron-builder --windows --x64",
    "dist-linux": "electron-builder --linux --x64",
    "dist-osx": "electron-builder --mac --x64",
    "bundle": "browserify assets/dashboard/js/node.js > assets/dashboard/js/bundle.js"
  },
  "build": {
    "appId": "PaperclipDesktopWallet",
    "files": [
      "modules/*",
      "assets/**/*",
      "renderer/*",
      "package.json",
      "main.js",
      "index.html"
    ],
    "win": {
      "target": "zip",
      "icon": "build/icon.png",
      "artifactName": "Windows-${productName}-${version}.${ext}",
      "extraResources": [
        "bin/win/*"
      ]
    },
    "linux": {
      "target": "zip",
      "icon": "build/icon.icns",
      "artifactName": "Linux-${productName}-${version}.${ext}",
      "extraResources": [
        "bin/linux/*"
      ]
    },
    "mac": {
      "target": "zip",
      "icon": "build/icon.icns",
      "artifactName": "MacOS-${productName}-${version}.${ext}",
      "extraResources": [
        "bin/macos/*"
      ]
    }
  },
  "repository": "https://git.takoyaki.cool/matt/paperclip-wallet",
  "keywords": [
    "PaperclipChain",
    "CLIPS",
    "Desktop",
    "Wallet",
    "Staking",
    "DeFi",
    "Cryptocurrency",
    "Blockchain"
  ],
  "author": "Matt <matt@takoyaki.cool>",
  "url": "https://takoyaki.cool",
  "email": "matt@takoyaki.cool",
  "license": "CC0-1.0",
  "dependencies": {
    "@unibeautify/beautifier-js-beautify": "^0.4.0",
    "adm-zip": "^0.5.10",
    "app-root-path": "^3.1.0",
    "crypto": "^1.0.1",
    "electron-storage": "^1.0.7",
    "fs-extra": "^10.0.1",
    "handlebars": "^4.7.7",
    "moment": "^2.29.4",
    "nedb": "^1.8.0",
    "node-fetch": "^2.6.7",
    "pull-file-reader": "^1.0.2",
    "single-instance": "0.0.1",
    "tweetnacl": "^1.0.3",
    "undici": "^5.21.0"
  },
  "devDependencies": {
    "browserify": "^17.0.0",
    "electron": "11.5.0",
    "electron-builder": "^22.14.13",
    "ipfs": "^0.64.2",
    "js-beautify": "^1.14.6",
    "libp2p-pnet": "^0.1.0",
    "node-gyp": "^9.2.0",
    "unibeautify": "^0.17.1",
    "unibeautify-cli": "^0.2.1",
    "web3": "^1.8.0"
  }
}
